<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- 
Copyright (c) 2011, Texas Instruments. All rights reserved.

This program and the accompanying materials are made available under the 
terms of the Eclipse Public License v1.0 and Eclipse Distribution License
v. 1.0 which accompanies this distribution. The Eclipse Public License is
available at http://www.eclipse.org/legal/epl-v10.html and the Eclipse
Distribution License is available at 
    http://www.eclipse.org/org/documents/edl-v10.php.

Contributors:
   Texas Instruments - initial implementation
-->

<gep name="Memory" title="Memory managment" version="1">

<page name="Module" title="Module Settings">
<html><body><table>
  <tr>
    <td>
      <form>
        <p>The Memory module provides portable runtime memory management services.  For static build-time memory options see the <a href="ref:xdc.cfg.Program">Program</a> module.</p>
        <p> </p>
      </form>
    </td>
  </tr>
  <tr><td colspan="2">
    <control type="checkbox" label="Add Memory management to my configuration" value="value:this.$used" bold="true"/></td>
  </tr>
  <tr></tr>
  <tr><td>
    <h1>Basic Options</h1>
    <table>
      <tr>
        <td><control type="label" label="Default Heap instance"/></td>
        <td><control type="editbox" 
             value="value:this.defaultHeapInstance" 
             tooltip="value:this.defaultHeapInstance.$summary"/></td>
      </tr>
      <tr>
        <td><control type="label" label="Default Heap size (chars)"/></td>
        <td><control type="editbox" 
             value="value:this.defaultHeapSize" 
             tooltip="value:this.defaultHeapSize.$summary"/></td>
      </tr>
      <tr>
        <td><control type="label" label="Actual Heap size (chars)"/></td>
        <td><control type="editbox" 
             enabled="false"
             value="value:this.defaultHeapInstance.size" 
             tooltip="current size of heap provided by the default heap instance"/></td>
      </tr>
    </table>
  </td>
  </tr>
</table></body></html>

</page>

<properties name="Advanced" title="All Options" enabled="true" visible="true" link="this"/>
</gep>
